[arch-commits] Commit in nodejs/repos (4 files)
Felix Yan
fyan at archlinux.org
Sat Feb 7 10:44:48 UTC 2015
Date: Saturday, February 7, 2015 @ 11:44:48
Author: fyan
Revision: 127234
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
nodejs/repos/community-testing-i686/
nodejs/repos/community-testing-i686/PKGBUILD
(from rev 127233, nodejs/trunk/PKGBUILD)
nodejs/repos/community-testing-x86_64/
nodejs/repos/community-testing-x86_64/PKGBUILD
(from rev 127233, nodejs/trunk/PKGBUILD)
-----------------------------------+
community-testing-i686/PKGBUILD | 96 ++++++++++++++++++++++++++++++++++++
community-testing-x86_64/PKGBUILD | 96 ++++++++++++++++++++++++++++++++++++
2 files changed, 192 insertions(+)
Copied: nodejs/repos/community-testing-i686/PKGBUILD (from rev 127233, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2015-02-07 10:44:48 UTC (rev 127234)
@@ -0,0 +1,96 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.12.0
+_npmver=2.5.1
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'libuv') # 'v8' 'c-ares')
+provides=('nodejs-node-gyp')
+makedepends=('python2' 'git' 'procps-ng')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+ git+https://github.com/npm/npm.git#tag=v$_npmver)
+sha256sums=('9700e23af4e9b3643af48cef5f2ad20a1331ff531a12154eef2bfb0bb1682e32'
+ 'SKIP')
+
+prepare() {
+ cd node-v$pkgver
+
+ # We need newer version of npm to fix bugs
+ rm -r deps/npm
+ ln -s "$srcdir/npm" deps
+ rm -r "$srcdir/npm/.git"
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v$pkgver
+
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv
+ # --shared-v8
+ # --shared-cares
+
+ make
+
+ cd ../npm
+ ../node-v$pkgver/node cli.js install ronn marked
+ PATH="$srcdir/node-v$pkgver:$PATH" make
+ ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
+}
+
+check() {
+ cd node-v$pkgver
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ # install docs as per user request
+ install -d "$pkgdir"/usr/share/doc/nodejs
+ cp -r doc/api/{*.html,assets} \
+ "$pkgdir"/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+ install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
+ for _dir in man1 man3 man5 man7; do
+ cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
+ for _file in *; do
+ ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
+ done
+ done
+
+ ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 127233, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2015-02-07 10:44:48 UTC (rev 127234)
@@ -0,0 +1,96 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.12.0
+_npmver=2.5.1
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'libuv') # 'v8' 'c-ares')
+provides=('nodejs-node-gyp')
+makedepends=('python2' 'git' 'procps-ng')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+ git+https://github.com/npm/npm.git#tag=v$_npmver)
+sha256sums=('9700e23af4e9b3643af48cef5f2ad20a1331ff531a12154eef2bfb0bb1682e32'
+ 'SKIP')
+
+prepare() {
+ cd node-v$pkgver
+
+ # We need newer version of npm to fix bugs
+ rm -r deps/npm
+ ln -s "$srcdir/npm" deps
+ rm -r "$srcdir/npm/.git"
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v$pkgver
+
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv
+ # --shared-v8
+ # --shared-cares
+
+ make
+
+ cd ../npm
+ ../node-v$pkgver/node cli.js install ronn marked
+ PATH="$srcdir/node-v$pkgver:$PATH" make
+ ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
+}
+
+check() {
+ cd node-v$pkgver
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ # install docs as per user request
+ install -d "$pkgdir"/usr/share/doc/nodejs
+ cp -r doc/api/{*.html,assets} \
+ "$pkgdir"/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+ install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
+ for _dir in man1 man3 man5 man7; do
+ cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
+ for _file in *; do
+ ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
+ done
+ done
+
+ ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list